Package org.sqlite.jdbc4

## Class JDBC4PooledConnection

- java.lang.Object
- - org.sqlite.jdbc4.JDBC4PooledConnection

All Implemented Interfaces:
  `PooledConnection`

Direct Known Subclasses:
  `SQLitePooledConnection`

    public abstract class JDBC4PooledConnection
    extends Object
    implements PooledConnection

### Constructor Summary

Constructors
`JDBC4PooledConnection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStatementEventListener​(StatementEventListener listener)`
`void` `removeStatementEventListener​(StatementEventListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.PooledConnection

`addConnectionEventListener, close, getConnection, removeConnectionEventListener`

### Constructor Detail

#### JDBC4PooledConnection

    public JDBC4PooledConnection()

### Method Detail

#### addStatementEventListener

    public void addStatementEventListener​(StatementEventListener listener)

Specified by:
  `addStatementEventListener` in interface `PooledConnection`

#### removeStatementEventListener

    public void removeStatementEventListener​(StatementEventListener listener)

Specified by:
  `removeStatementEventListener` in interface `PooledConnection`